#!/bin/sh

if ! test -e "modules.php"; then
  echo "$0: Please execute this script from root directory."
  exit 1
fi

echo "$0: Validating all templates..."
DUMMY=`find templates/de/html/ -type f -name *.tpl -exec php DOCS/tpl-validator.php {} \; 2>&1`
echo "${DUMMY}" | \
	grep "PHP Warning" | \
	cut -d "/" -f 1-5 | \
	grep -v "error parsing attribute name in" > DOCS/template-warnings.log
echo "$0: done."
