#!/bin/sh
# Self-test
if test "`basename $0`" = ".hp.sh"; then
	echo "Bye..."
	exit 0
fi

# General config stuff
HP_EXT_DIR="mxchange_ext_hp"

# Versions
HP_VER="0.0.1"
HP_PRE=""

# FTP directory
HP_UPLOAD_DIR="$BASEDIR/$HP_EXT_DIR"
HP_FTP_DIR="html/homepage/extensions"

# Archive stuff
if test "$HP_PRE" != ""; then
	HP_TAR="$BASENAME-$HP-$HP_VER-pre$HP_PRE.tar"
	HP_ZIP="$BASENAME-$HP-$HP_VER-pre$HP_PRE.zip"
 else
	HP_TAR="$BASENAME-$HP-$HP_VER.tar"
	HP_ZIP="$BASENAME-$HP-$HP_VER.zip"
fi

# Files stuff which will be archived
HP_FILES="ChangeLog* README $HP/ $HP/DOCS/LICENSE*"

# Base HP extensions
HP_EXT="other online sql_patches update theme"

# Extra ported extensions
HP_EXTRA_EXT="autopurge task admins"

# Extensions to be uploaded
#UPLOAD_HP_EXT="$HP_EXT $HP_EXTRA_EXT"
UPLOAD_HP_EXT=""
