<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 09/12/2004 *
 * ===================                          Last change: 09/12/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : optimize_de.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : German langugage support                         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Deutsche Sprachunterstuetzung                    *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2015 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Language definitions
addMessages(array(
	'ADMIN_OPTIMIZE_DATABASE_TITLE' => "Optimierung der {?mt_title?}-Datenbank {?__DB_NAME?}:",
	'ADMIN_OPTIMIZE_DBNAME' => "Tabelle:",
	'ADMIN_OPTIMIZE_REPAIRED' => "Repariert:",
	'ADMIN_OPTIMIZE_OPTIMIZED' => "Optimiert:",
	'ADMIN_OPTIMIZE_TOTAL_SIZE' => "Gesamtgr&ouml;sse:",
	'ADMIN_OPTIMIZE_GAIN_SIZE' => "Eingespart:",
	'ADMIN_OPTIMIZE_STATUS_OK' => "Nein",
	'ADMIN_OPTIMIZE_STATUS_TABLE_DOES_NOT_SUPPORT_OPTIMIZE_DOING_RECREATE_ANALYZE_INSTEAD' => "Keine Unterst&uuml;tzung (1)",
	'ADMIN_OPTIMIZE_STATUS_THE_STORAGE_ENGINE_FOR_THE_TABLE_DOESNT_SUPPORT_OPTIMIZE' => "Keine Unterst&uuml;tzung (2)",
	'ADMIN_OPTIMIZE_STATUS_UNSUPPORTED' => "Nicht m&ouml;glich",
	'ADMIN_OPTIMIZE_STATUS_OPTIMIZED' => "Optimiert.",
	'ADMIN_OPTIMIZE_DB_TOTAL_TABLES' => "Gesamtzahl angelegter Tabellen",
	'ADMIN_OPTIMIZE_DB_TOTAL_SIZE' => "Gesamtgr&ouml;&szlig;e der Datenbank",
	'ADMIN_OPTIMIZE_DB_TOTAL_OPTIMIZE' => "Aufrufe der Optimierungsfunktion",
	'ADMIN_OPTIMIZE_DB_TOTAL_GAIN_SIZE' => "Diesen Durchlauf eingespart",
	'ADMIN_OPTIMIZE_DB_TOTAL_GAIN_TABLES' => "Diesen Durchlauf optimierte Tabellen",
	'ADMIN_OPTIMIZE_DB_TOTAL_OPTI' => "Gesamteinsparnisse",
));

// [EOF]
?>
