<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 11/24/2004 *
 * ===================                          Last change: 11/27/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : top10_de.php                                     *
 * -------------------------------------------------------------------- *
 * Short description : German langugage support                         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Deutsche Sprachunterstuetzung                    *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2015 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Language definitions
addMessages(array(
	// Admin - config
	'ADMIN_CONFIG_TOP10_TITLE' => "Einstellungen an TOP-Listen",
	'ADMIN_CONFIG_TOP10_MAX_TOP10' => "Maximale Pl&auml;tze pro Liste",

	// Guest - title
	'GUEST_TOP10_LOGINS_TITLE' => "TOP{?top10_max?}&nbsp;-&nbsp;Logins",
	'GUEST_TOP10_EARNER_TITLE' => "TOP{?top10_max?}&nbsp;-&nbsp;{?POINTS?}-Verdiener",
	'GUEST_TOP10_REFERRAL_TITLE' => "TOP{?top10_max?}&nbsp;-&nbsp;Werber",

	// Guest - notice
	'GUEST_TOP10_LOGINS_NOTICE' => "Diese Liste zeigt Ihnen, wer am h&auml;ufigsten eingeloggt hat.",
	'GUEST_TOP10_EARNER_NOTICE1' => "Diese Liste zeigt Ihnen, wer die meisten {?POINTS?} selber verdient hat.",
	'GUEST_TOP10_EARNER_NOTICE2' => "Seit dem Update vom 24.10.2012 wird nicht mehr der Abzug verrechnet aber daf&uuml;r der gesperrte Eigenverdienst mit verrechnet.",
	'GUEST_TOP10_REFERRAL_NOTICE' => "Diese Liste zeigt Ihnen, wer die meisten Mitglieder geworben hat.",
));

// [EOF]
?>
